package com.nicolas.juegosclasicos;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.media.MediaPlayer;

public class Nadal {
	private MediaPlayer reproductor;
	private Bitmap nadal;
	private int posicionX;
	private int posicionY;
	private int width;
	
	public Nadal (Context context) {
		this.reproductor = MediaPlayer.create(context, R.raw.golpe);
		reproductor.setLooping(false);
		nadal = BitmapFactory.decodeResource(context.getResources(), R.drawable.nadal1);
	}
	
	public void setPosition (int pos_x, int pos_y, int width) {
		this.posicionX = pos_x;
		this.posicionY = pos_y;
		this.width = width;
	}
	
	public void actualizar(Canvas canvas, int acelerometro) {
		posicionX += acelerometro;
		if (posicionX - nadal.getWidth() / 2 < 0) posicionX = nadal.getWidth() / 2; 
		if (posicionX + nadal.getWidth() / 2 > width) posicionX = width - nadal.getWidth() / 2;
		canvas.drawBitmap(nadal, posicionX - (nadal.getWidth() / 2), posicionY - (nadal.getHeight() / 2), null);
	}
	
	public int getPosicionX () {
		return posicionX;
	}
	
	public int getPosicionY () {
		return posicionY - nadal.getHeight() / 2;
	}
	
	public boolean colision (int x, int y) {
		if(posicionX - (nadal.getWidth() / 2) < x && posicionX + (nadal.getWidth() / 2) > x && posicionY - nadal.getHeight() / 2 < y)
		reproductor.start();
		return (posicionX - (nadal.getWidth() / 2) < x && posicionX + (nadal.getWidth() / 2) > x && posicionY - nadal.getHeight() / 2 < y);
	}

}

