package com.nicolas.juegosclasicos;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;

public class Pelota {
	private Bitmap pelota;
	private Red red;
	private int posX;
	private int posY;
	private Nadal nadal;
	private Federer federer;
	private int velocidadX = 8;
	private int velocidadY = 8;


	
	public Pelota (Context context, Nadal nadal, Red red, Federer federer ) {
		this.nadal = nadal;
		this.federer = federer;
		this.red = red;
		pelota = BitmapFactory.decodeResource(context.getResources(), R.drawable.pelota1);

	}
	
	public int getPosicionY () {
		return posY;
	}
	
	public int getPositionX () {
		return posX;
	}
	
	public int getV_x () {
		return velocidadX;
	}
	
	public int getV_y () {
		return velocidadY;
	}
	
	public void setValores(int pos_x, int pos_y, int v_x, int v_y) {
		this.posX = pos_x;
		this.posY = pos_y;
		this.velocidadX = v_x;
		this.velocidadY = v_y;
	}
	
	public void actualizar(Canvas canvas, boolean jugando) {
		if (jugando) {
			if (red.colisiones(posX + pelota.getWidth() / 2 + velocidadX, posY) || red.colisiones(posX - pelota.getWidth() / 2 + velocidadX, posY))
				velocidadX = -velocidadX;
			if (red.colisiones(posX, posY + pelota.getHeight() / 2 + velocidadY) || red.colisiones(posX, posY - pelota.getHeight() / 2 + velocidadY))
				velocidadY = -velocidadY;
			if (nadal.colision(posX, posY + velocidadY + pelota.getHeight() / 2) && velocidadY > 0)
				velocidadY = -velocidadY;
			if (federer.colision(posX, posY + velocidadX + pelota.getHeight() / 2) && velocidadY < 0)
				velocidadY = -velocidadY;
			
			posX += velocidadX;
			posY += velocidadY;
		} else {
			posX = nadal.getPosicionX();
			posY = nadal.getPosicionY() - pelota.getHeight() / 2;

		}
		canvas.drawBitmap(pelota, posX - (pelota.getWidth() / 2), posY - (pelota.getHeight() / 2), null);

	}
	
	
	

}
