package com.nicolas.juegosclasicos;

import android.graphics.Canvas;
import android.view.SurfaceHolder;

public class Vista extends Thread {
	
	private boolean run = false;
	private SurfaceHolder holder;
	private Pantalla pantalla;
	private long tiempoInicio;
	
	public Vista (SurfaceHolder holder, Pantalla view) {
		this.holder = holder;
		this.pantalla = view;
	}
	
	public boolean isRunning() {
		return run;
	}
	
	public void setRunning(boolean run) {
		this.run = run;
	}
	
	@Override
	public void run() {
		Canvas canvas;
		while(run) {
			canvas = null;
			try {
				tiempoInicio = System.currentTimeMillis();
				canvas = holder.lockCanvas(null);
				synchronized(holder) {
					pantalla.onDraw(canvas);
				}
				while (System.currentTimeMillis() - tiempoInicio < 32) {}
			} finally {
				if (canvas != null) holder.unlockCanvasAndPost(canvas);
			}
		}
	}
}

