package com.nicolas.juegosclasicos;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.media.MediaPlayer;

public class Federer {
	private MediaPlayer reproductor;
	private Bitmap federer;
	private int posicionX;
	private int posicionY;
	private int width;
	
	public Federer (Context context) {
		this.reproductor = MediaPlayer.create(context, R.raw.golpe);
		reproductor.setLooping(false);
		federer = BitmapFactory.decodeResource(context.getResources(), R.drawable.federer1);
	}
	
	public void setPosition (int pos_x, int pos_y, int width) {
		this.posicionX = pos_x;
		this.posicionY = pos_y;
		this.width = width;
	}
	
	public void actualizar(Canvas canvas, int acelerometro) {
		posicionX += acelerometro;
		if (posicionX - federer.getWidth() / 2 < 0) posicionX = federer.getWidth() / 2; 
		if (posicionX + federer.getWidth() / 2 > width) posicionX = width - federer.getWidth() / 2;
		canvas.drawBitmap(federer, posicionX - (federer.getWidth() / 2), posicionY - (federer.getHeight() / 2), null);
	}
	
	public int getPosicionX () {
		return posicionX;
	}
	
	public int getPosicionY () {
		return posicionY - federer.getHeight() / 2;
	}
	
	public boolean colision (int x, int y) {
		if(posicionX - (federer.getWidth() / 2) < x && posicionX + (federer.getWidth() / 2) > x && posicionY - federer.getHeight() / 2 < y &&  posicionY + federer.getHeight() / 2  > y)
		reproductor.start();
		return (posicionX - (federer.getWidth() / 2) < x && posicionX + (federer.getWidth() / 2) > x &&  posicionY - federer.getHeight() / 2  < y &&  posicionY + federer.getHeight() / 2  > y);
	}

}