package com.nicolas.juegosclasicos;

import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Paint.Align;
import android.media.MediaPlayer;

@SuppressLint("ParserError")
public class Ladrillo {

	private static Bitmap ladrillo, vida, ladrillosolido, ladrillodorado;
	private boolean acaba;
	private MediaPlayer reproductorAplausos;
	private String marcador = "PUNTUACION: 0";
	private int puntuacion = 0;
	private Paint estiloTexto = new Paint();
	private int columnas = 24;
	private int filas = 16;
	private int i, j, alto, ancho, width, height;
	private int[][] muro = {
		{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
		{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
		{ 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 3, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1},
		{ 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 2, 1, 1},
		{ 1, 1, 2, 1, 2, 1, 1, 1, 1, 2, 1, 1, 2, 1, 2, 1, 2, 1, 1, 2, 1, 1, 1, 1},
		{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},	
		{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
		{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
		{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
		{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
		{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
		{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
		{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
		{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
		{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
		{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}
	};
	
	public Ladrillo(Context context) {
		this.reproductorAplausos = MediaPlayer.create(context, R.raw.aplausos);
		reproductorAplausos.setLooping(false);
		cargarLadrillos(context);
		setEstiloTexto();
	}
	
	private void setEstiloTexto() {
		estiloTexto.setAntiAlias(true);
		estiloTexto.setARGB(255, 255, 255, 255);
		estiloTexto.setTextSize(30);
		estiloTexto.setFakeBoldText(true);
		estiloTexto.setTextAlign(Align.CENTER);
	}
	
	private void cargarLadrillos(Context context) {
		ladrillo = BitmapFactory.decodeResource(context.getResources(), R.drawable.ladrillo);
		vida = BitmapFactory.decodeResource(context.getResources(), R.drawable.vida);
		ladrillosolido= BitmapFactory.decodeResource(context.getResources(), R.drawable.ladrillosolido);
		ladrillodorado= BitmapFactory.decodeResource(context.getResources(), R.drawable.ladrillodorado);
	}
	
	public void redimensionarLadrillos(int height, int width) {
		this.width = width;
		this.height = height;
		this.alto = height / filas;
		this.ancho = width / columnas;
		ladrillo = Bitmap.createScaledBitmap(ladrillo, ancho, alto, true);
	}
	
	public boolean actualizar(Canvas canvas, int vidas) {
		canvas.drawColor(Color.BLACK);
		acaba = true;
		for (i = 0; i < vidas; i++) 
			canvas.drawBitmap(vida, 5 + i * 30, 5, null);
		for (i = 0; i < filas; i++) {
			for (j = 0; j < columnas; j++) {
				if (muro[i][j] == 1) {
					//acaba = false;
					canvas.drawBitmap(ladrillo, j * ancho, i * alto, null);
				}
				if (muro[i][j] == 2) {
					//acaba = false;
					canvas.drawBitmap(ladrillosolido, j * ancho, i * alto, null);
				}
				if (muro[i][j] == 3) {
					acaba = false;
					canvas.drawBitmap(ladrillodorado, j * ancho, i * alto, null);
				}
			}
		}
		if (vidas == 0){
			canvas.drawText("PERDISTE", width / 2, height / 2, estiloTexto);
			
		}
			
		if (acaba){
			canvas.drawText("GANASTE", width / 2, height / 2, estiloTexto);
			reproductorAplausos.start();
		}
		canvas.drawText(marcador, width / 2, 22, estiloTexto);
		return acaba;
	}
	
	
	public boolean colisiones(int x, int y) {
		i = y / alto;
		j = x / ancho;
		if (i < 0 || i > 15 || j < 0 || j > 23)
			return true;
		if (muro[i][j] == 1) {
			muro[i][j] = 0;
			puntuacion += 100;
			marcador = "PUNTUACION: "+puntuacion;
			return true;

		} else if (muro[i][j] == 3) {
			muro[i][j] = 0;
			return true;
		} else if (muro[i][j] == 2) {
			if(i==10){
				muro[10][j] = 2;
			//	muro[i+1][j] = 0;
				return true;
			}else{
			muro[i][j] = 0;
			muro[i+1][j] = 2;
			
			return true;}
	}else return false;
}
}